> For the complete documentation index, see [llms.txt](https://docs.av-scripts.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.av-scripts.com/laptop-pack-v3/gangs/labs.md).

# Labs

> By default, all laboratories process items from the **Ingredients stash** and convert them directly into another product, which is added to the **Products stash**.&#x20;
>
> The lab only requires one of each ingredient. Any extra items added by the user will be discarded and will not influence the process.

### Start Process

* Add the needed ingredients inside Ingredients stash
* Press the Process Lab button in the Properties Tab or in the admin panel.

If you want to replace this process, you can use the `customProcess` function located in `av_gangs\server\editable\labs.lua`.

You can find more info about this `customProcess()` and `getPurity()` functions inside the file, please be sure to read the comments in the code.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.av-scripts.com/laptop-pack-v3/gangs/labs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
